﻿@model Generic_appWeb.Models.Tipo_unidad

<form asp-controller="Tipo_unidad" asp-action="Edit" method="post" role="form">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">
                <h3>EDITAR TIPOS DE UNIDADES</h3>
            </section>

        </div>
        <div class="card-body">

            <div style="float:left" class="col-md-6">

                <fieldset>

                    @Html.Hidden("TUn_id")

                    <div class="form-group">
                        <label asp-for="TUn_codigo_empresa" class="col-md-4 control-label" style="float:left"> CODIGO EMPRESA </label>

                        <input asp-for="TUn_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="TUn_codigo_alterno" class="col-md-4 control-label" style="float:left"> CODIGO ALTERNO </label>
                        <input asp-for="TUn_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_codigo_alterno" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_descripcion_larga" class="col-md-4 control-label" style="float:left"> DESCRIPCION LARGA </label>

                        <input asp-for="TUn_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_descripcion_larga" class="text-danger" />
                    </div>
                    <div class="form-group">
                        <label asp-for="TUn_descripcion_med" class="col-md-4 control-label" style="float:left"> DESCRIPCION MEDIA </label>

                        <input asp-for="TUn_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_descripcion_corta" class="col-md-4 control-label" style="float:left"> DESCRIPCION CORTA </label>

                        <input asp-for="TUn_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_descripcion_corta" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION </label>

                        <input asp-for="TUn_abreviacion" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_abreviacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION </label>

                        <input asp-for="TUn_observacion" class="form-control col-md-6" />
                        <span asp-validation-for="TUn_observacion" class="text-danger" />
                    </div>

                    @*<div class="form-group">
                        <label asp-for="TUn_Padre_id" class="col-md-4 control-label" style="float:left"> PADRE </label>

                        <select asp-for="TUn_Padre_id" asp-items="@(new SelectList(ViewBag.Tipos_unidadesList,"TUn_id", "TUn_Descripcion_larga"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="TUn_Padre_id" class="text-danger" />

                    </div>*@

                    <div class="form-group">
                        <label asp-for="Categoria_unidad.CUn_descripcion_larga" class="col-md-4 control-label" style="float:left"> CATEGORIA DOCUMENTO </label>

                        <select asp-for="Categoria_unidad.CUn_id" asp-items="@(new SelectList(ViewBag.categorias_unidadesList,"CUn_id", "CUn_descripcion_larga"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="Categoria_unidad.CUn_descripcion_larga" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left"> FECHA CREACION</label>
                        <input asp-for="TUn_fecha_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TUn_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left"> FECHA MODIFICACION </label>
                        <input name="TUn_fecha_modificacion" id="A_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_modificacion" readonly>

                        <span asp-validation-for="TUn_fecha_modificacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left"> USUARIO CREACION</label>
                        <input asp-for="TUn_usuario_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TUn_usuario_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left"> USUARIO MODIFICACION</label>
                        <input asp-for="TUn_usuario_modificacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TUn_usuario_modificacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TUn_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left"> SECUENCIA</label>
                        <input asp-for="TUn_secuencia" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TUn_secuencia" class="text-danger" />

                    </div>
                </fieldset>
            </div>

        </div>

        <div class="form-group">

            <div class="col-md-6">
                <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Tipo_unidad")'">Volver</button>
                <button type="submit" class="btn btn-success">Guardar</button>
            </div>
        </div>
    </div>
</form>

@section Scripts
    {
    <script src="~/Js/Activos_edit.js"></script>
}


